/* Query 2 Template (3 Parts) */

/* Part 1 of 3 */

select
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	'Channel top',
	timelevel.$TIME_GIVEN_LEVEL_FNAME,
	sum (a.unitssold) AS Units, 
	sum (a.dollarsales) as DollarSales, 
	sum (a.DollarCost) as DollarCost,
	sum (a.dollarsales) - sum (a.DollarCost) as Margin
	(sum (a.dollarsales) - sum (a.DollarCost)) / sum (a.dollarsales) as MarginPct
from 
	actvars a, prodlevel, timelevel, custlevel
where
	    a.product_level = prodlevel.code_level
	and a.time_level =  timelevel.Month_level
	and a.customer_level = custlevel.store_level
	and timelevel.$TIME_GIVEN_LEVEL_FNAME = '$TIMEMEMBER'
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
	and prodlevel.$PROD_CHILD_LEVEL_FNAME in (
	  select member_name from prodtree where parent_name = '$PRODMEMBER'
	)
group by
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	timelevel.$TIME_GIVEN_LEVEL_FNAME
order by
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	timelevel.$TIME_GIVEN_LEVEL_FNAME
;

/* Part 2 of 3 */

select
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	timelevel.$TIME_GIVEN_LEVEL_FNAME,
	sum (a.value) as SPC
from 
	stdprodcost a, prodlevel, timelevel
where
	    a.product_level = prodlevel.code_level
	and a.time_level =  timelevel.Month_level
	and a.scenario = 'Actual'
	and timelevel.$TIME_GIVEN_LEVEL_FNAME = $TIMEMEMBER
	and prodlevel.$PROD_CHILD_LEVEL_FNAME in (
	  select member_name from prodtree where parent_name = '$PRODMEMBER'
	)
group by
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	timelevel.$TIME_GIVEN_LEVEL_FNAME
order by
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	timelevel.$TIME_GIVEN_LEVEL_FNAME
;

/* Part 3 of 3 */

select
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	timelevel.$TIME_GIVEN_LEVEL_FNAME,
	sum (a.value) as SSC
from
	stdshipcost a, timelevel, custlevel
where
	    a.time_level =  timelevel.Month_level
	and a.customer_level = custlevel.store_level
	and a.scenario = 'Actual'
	and timelevel.$TIME_GIVEN_LEVEL_FNAME = '$TIMEMEMBER'
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
group by
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	timelevel.$TIME_GIVEN_LEVEL_FNAME
order by
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	timelevel.$TIME_GIVEN_LEVEL_FNAME
;

/* end of SQL */