/* Query 3 (3 fragments) */

/* 1 of 3 */

select
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_CHILD_LEVEL_FNAME,
	'Channel Top',
	timelevel.month_level,
	sum (a.unitssold) as Units, 
	sum (a.dollarsales) as DollarSales, 
	sum (a.DollarCost) as DollarCost
from 
	actvars a, prodlevel, timelevel, custlevel
where
	    a.product_level = prodlevel.code_level
	and a.time_level =  timelevel.Month_level
	and a.customer_level = custlevel.store_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and custlevel.$CUST_CHILD_LEVEL_FNAME in (
	  select member_name from custtree where parent_name = '$CUSTMEMBER'
	)
group by
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_CHILD_LEVEL_FNAME,
	timelevel.month
order by
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_CHILD_LEVEL_FNAME,
	timelevel.month
;


/* 2 of 3 */

select
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_CHILD_LEVEL_FNAME,
	'Channel Top',
	sum (a.Inv199501) as Inv199501,
	sum (a.Inv199502) as Inv199502,
	sum (a.Inv199503) as Inv199503,
	sum (a.Inv199504) as Inv199504,
	sum (a.Inv199505) as Inv199505,
	sum (a.Inv199506) as Inv199506,
	sum (a.Inv199507) as Inv199507,
	sum (a.Inv199508) as Inv199508,
	sum (a.Inv199509) as Inv199509,
	sum (a.Inv199510) as Inv199510,
	sum (a.Inv199511) as Inv199511,
	sum (a.Inv199512) as Inv199512,
	sum (a.Inv199601) as Inv199601,
	sum (a.Inv199602) as Inv199602,
	sum (a.Inv199603) as Inv199603,
	sum (a.Inv199604) as Inv199604,
	sum (a.Inv199605) as Inv199605
from 
	HistInventory a, prodlevel, custlevel
where
	    a.product_level = prodlevel.code_level
	and a.customer_level = custlevel.store_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and custlevel.$CUST_CHILD_LEVEL_FNAME in (
	  select member_name from custtree where parent_name = '$CUSTMEMBER'
	)
group by
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_CHILD_LEVEL_FNAME
order by
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_CHILD_LEVEL_FNAME
;

/* 3 of 3 */

select
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_CHILD_LEVEL_FNAME,
	'Channel Top',
	sum (a.Inv199606) as Inv199605
from 
	CurrInventory a, prodlevel, custlevel
where
	    a.product_level = prodlevel.code_level
	and a.customer_level = custlevel.store_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and custlevel.$CUST_CHILD_LEVEL_FNAME in (
	  select member_name from custtree where parent_name = '$CUSTMEMBER'
	)
group by
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_CHILD_LEVEL_FNAME
order by
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_CHILD_LEVEL_FNAME
;

/* end of SQL */
