/* Q6 Template */

select
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	'Customer Top',
	timelevel.quarter_level,
	sum (a.unitssold)                        as UnitsSold,
	sum (a.dollarsales)                      as DollarSales,
	sum (a.dollarsales) / sum (a.unitssold)  as AvgSellingPrice,
	sum (a.DollarCost)                       as DollarCost,
	sum (a.dollarsales) - sum (a.DollarCost) as MarginDollars
from
	planvars a, timelevel, prodlevel
where
	    a.time_level = timelevel.Month_level
	and	a.product_level = prodlevel.code_level
	and timelevel.quarter_level in (
		select member_name from timetree where parent_name = '1996'
	)
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
group by
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	timelevel.quarter_level
order by
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	timelevel.quarter_level
;

/* end of SQL */
