/* Q8 Template (3 parts) */
/* assumes that Q08_Prep has been run to populate the temp tables */

/* part 1 of 3 */

SELECT
	a.product,
	a.customer,
	'actual',
	a.timeper,
	a.dollarsales
FROM 
	q8a_tmp a
WHERE
	a.timeper in ('199606', '199606YTD')
UNION
SELECT
	a.product,
	a.customer,
	'budget',
	a.timeper,
	a.dollarsales
FROM 
	q8b_tmp a
WHERE
	a.timeper in ('199606', '199606YTD')
;


/* part 2 of 3 */

SELECT
	a.product,
	a.customer,
	a.timeper,
	(a.dollarsales - b.dollarsales) AS ValDiff,
	(a.dollarsales / b.dollarsales) - 1 AS PctDiff
FROM
	q8a_tmp a, q8b_tmp b
WHERE
	    a.timeper = b.timeper
	and a.timeper in ('199606', '199606YTD')
	and a.product = b.product
	and a.customer = b.customer
;

/* part 3 of 3 */

SELECT
	a.product,
	a.customer,
	'199606YTY',
	(a.dollarsales - b.dollarsales) AS LastYearValDiff,
	(a.dollarsales / b.dollarsales) - 1 AS LastYearPctDiff
FROM
	q8a_tmp a, q8c_tmp b
WHERE
	    a.timeper = '199606'
	and b.timeper = '199506'
	and a.product = b.product
	and a.customer = b.customer
UNION
SELECT
	a.product,
	a.customer,
	'199606YTDYTY',
	(a.dollarsales - b.dollarsales) AS LastYearValDiff,
	(a.dollarsales / b.dollarsales) - 1 AS LastYearPctDiff
FROM
	q8a_tmp a, q8c_tmp b
WHERE
	    a.timeper = '199606YTD'
	and b.timeper = '199506YTD'
	and a.product = b.product
	and a.customer = b.customer
;

/* end of SQL */
