/* Q9 preparation */

delete FROM q9a_tmp
;

insert into q9a_tmp (
	product,
	customer,
	timeper,
	dollarsales
)
SELECT
	prodlevel.$PROD_GIVEN_LEVEL_FNAME AS product,
	custlevel.$CUST_GIVEN_LEVEL_FNAME AS customer,
	'199606',
	sum (a.dollarsales) AS dollarsales
FROM
	actvars a, prodlevel, custlevel
WHERE
	    a.time_level = '199606'
	and a.product_level = prodlevel.code_level
	and a.customer_level = custlevel.store_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
GROUP BY
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME
;

insert into q9a_tmp (
	product,
	customer,
	timeper,
	dollarsales
)
SELECT
	prodlevel.$PROD_GIVEN_LEVEL_FNAME AS product,
	custlevel.$CUST_GIVEN_LEVEL_FNAME AS customer,
	'199606YTD',
	sum (a.dollarsales) AS dollarsales
FROM
	actvars a, prodlevel, custlevel
WHERE
	    a.time_level in (
	    	'199601', '199602', '199603', '199604', '199605', '199606'
		)
	and a.product_level = prodlevel.code_level
	and a.customer_level = custlevel.store_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
GROUP BY
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME


delete FROM q9b_tmp
;

insert into q9b_tmp (
	product,
	customer,
	timeper,
	dollarsales
)
SELECT
	prodlevel.$PROD_GIVEN_LEVEL_FNAME AS product,
	custlevel.$CUST_GIVEN_LEVEL_FNAME AS customer,
	'199606',
	sum (a.dollarsales) AS dollarsales
FROM
	FcstMonthStoreProduct a, prodlevel, custlevel
WHERE
	    a.time_level = '199606'
	and a.product_level = prodlevel.code_level
	and a.customer_level = custlevel.store_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
GROUP BY
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME
;

insert into q9b_tmp (
	product,
	customer,
	timeper,
	dollarsales
)
SELECT
	prodlevel.$PROD_GIVEN_LEVEL_FNAME AS product,
	custlevel.$CUST_GIVEN_LEVEL_FNAME AS customer,
	'199606YTD',
	sum (a.dollarsales) AS dollarsales
FROM
	FcstMonthStoreProduct a, prodlevel, custlevel
WHERE
	    a.time_level in (
    		'199601', '199602', '199603', '199604', '199605', '199606'
		)
	and a.product_level = prodlevel.code_level
	and a.customer_level = custlevel.store_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
GROUP BY
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME
;

delete FROM q9c_tmp
;

insert into q9c_tmp (
	product,
	customer,
	timeper,
	dollarsales
)
SELECT
	prodlevel.$PROD_GIVEN_LEVEL_FNAME AS product,
	custlevel.$CUST_GIVEN_LEVEL_FNAME AS customer,
	'199605',
	sum (a.dollarsales) AS dollarsales
FROM
	actvars a, prodlevel, custlevel
WHERE
	    a.time_level = '199605'
	and a.product_level = prodlevel.code_level
	and a.customer_level = custlevel.store_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
GROUP BY
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME
;

insert into q9c_tmp (
	product,
	customer,
	timeper,
	dollarsales
)
SELECT
	prodlevel.$PROD_GIVEN_LEVEL_FNAME AS product,
	custlevel.$CUST_GIVEN_LEVEL_FNAME AS customer,
	'199605YTD',
	sum (a.dollarsales) AS dollarsales
FROM
	actvars a, prodlevel, custlevel
WHERE
	    a.time_level in (
			'199601', '199602', '199603', '199604', '199605'
		)
	and a.product_level = prodlevel.code_level
	and a.customer_level = custlevel.store_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
GROUP BY
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME
;

commit
;

/* end of SQL */
