/* Q9 Template */
/* Assumes that Q09_Prep has been run to populate the temp tables appropriately */

/* part 1 of 3 */

SELECT
	a.product,
	a.customer,
	'actual',
	a.timeper,
	a.dollarsales
FROM 
	q9a_tmp a
WHERE
	a.timeper in ('199606', '199606YTD')
UNION
SELECT
	a.product,
	a.customer,
	'forcst',
	a.timeper,
	a.dollarsales
FROM 
	q9b_tmp a
WHERE
	a.timeper in ('199606', '199606YTD')
;


/* part 2 of 3 */

SELECT
	a.product,
	a.customer,
	a.timeper,
	(a.dollarsales - b.dollarsales) AS ValDiff,
	(a.dollarsales / b.dollarsales) - 1 AS PctDiff
FROM
	q9a_tmp a, q9b_tmp b
WHERE
	    a.timeper = b.timeper
	and a.timeper in ('199606', '199606YTD')
	and a.product = b.product
	and a.customer = b.customer
;

/* part 3 of 3 */

SELECT
	a.product,
	a.customer,
	'199606PTP',
	(a.dollarsales - b.dollarsales) AS LastPeriodValDiff,
	(a.dollarsales / b.dollarsales) - 1 AS LastPeriodPctDiff
FROM
	q9a_tmp a, q9c_tmp b
WHERE
	    a.timeper = '199606'
	and b.timeper = '199605'
	and a.product = b.product
	and a.customer = b.customer
UNION
SELECT
	a.product,
	a.customer,
	'199606YTDPTP',
	(a.dollarsales - b.dollarsales) AS LastPeriodValDiff,
	(a.dollarsales / b.dollarsales) - 1 AS LastPeriodPctDiff
FROM
	q9a_tmp a, q9c_tmp b
WHERE
	    a.timeper = '199606YTD'
	and b.timeper = '199605YTD'
	and a.product = b.product
	and a.customer = b.customer
;

/* end of SQL */
